6.0.0-git
2021-01-18

[#1286] IMSP address books with spaces in the name do not display properly in Turba
Summary IMSP address books with spaces in the name do not display properly in Turba
Queue Horde Framework Packages
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester stephen (at) unc (dot) edu
Created 2005-01-31 (5831 days ago)
Due
Updated 2005-02-11 (5820 days ago)
Assigned 2005-02-07 (5824 days ago)
Resolved 2005-02-11 (5820 days ago)
Milestone
Patch No

History
2005-02-11 18:58:40 stephen (at) unc (dot) edu Comment #5 Reply to this comment
Sorry I didn't reply earlier.  It works great for me.  Thanks for your help.
2005-02-11 16:59:59 Michael Rubinsky Comment #4
State ⇒ Resolved
Reply to this comment
Resolving.  Fix also merged into Framework_3
2005-02-07 14:39:06 stephen (at) unc (dot) edu Comment #3 Reply to this comment
Thanks, Michael.  I'll give it a try as soon as I get a chance.
2005-02-07 06:35:13 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
Fixed in CVS HEAD
2005-02-05 14:42:03 Jan Schneider Assigned to Michael Rubinsky
State ⇒ Assigned
 
2005-01-31 23:22:47 stephen (at) unc (dot) edu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ IMSP address books with spaces in the name do not display properly in Turba
Queue ⇒ Horde Framework Packages
Reply to this comment
It looks like the getAddressBookList function (I think) in 
Net/IMSP/Book.php does not take into account the possibility that 
people might name their IMSP address books with spaces.  I don't name 
mine with spaces but my users do.



The IMSP server response for getting all of the address books shows 
that address books with spaces are returned surrounded by quotes.



Example:

* ADDRESSBOOK () "." sbraswe1.sb_test

* ADDRESSBOOK () "." "sbraswe1.space test"

* ADDRESSBOOK () "." sbraswe1.test



I saw a line in Book.php that does a split based on a space and I 
wonder if that might be part of the problem as well as the need to 
strip out the quotes included in the server response.



If  you require more information, let me know.

Saved Queries